CEN_IDEA(3)

FUNCTION
cen_idea - Add IDEA encryption to a channel object.

SYNOPSIS
#include <karma_cen.h>

ChConverter cen_idea

(Channel channel, char read_key[EN_IDEA_KEY_SIZE], char read_init_vector[EN_IDEA_BLOCK_SIZE], char write_key[EN_IDEA_KEY_SIZE], char write_init_vector[EN_IDEA_BLOCK_SIZE], flag clear)

DESCRIPTION
This routine will register converter functions for a channel so that all IO will be encrypted using the IDEA cipher in Cipher Feed Back mode.

read_key
    The 16 byte IDEA key used when reading.

read_init_vector
    The 8 byte initialisation vector used when reading.

write_key
    The 16 byte IDEA key used when writing.

write_init_vector
    The 8 byte initialisation vector used when writing.

clear
    If TRUE the keys and initialisation vectors will be cleared after use (highly recommended if they will not be needed again), irrespective of whether the routine fails.

RETURN VALUE
A ChConverter object on success (which may be used in a call to ch_unregister_converter), else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/